×
Namespaces

Variants
Actions
(Difference between revisions)

Archived:Hardware/UI platform dependency not recognised in PKG file in Nokia N79 and Nokia N85 (Known Issue)

From Nokia Developer Wiki
Jump to: navigation, search
Forum Nokia KB (Talk | contribs)
hamishwillee (Talk | contribs)
m (Hamishwillee - Bot update - Fix metadata)
 
(9 intermediate revisions by 2 users not shown)
Line 1: Line 1:
__NOTOC__
+
{{Archived|timestamp=20120313104446|user=roy.debjit| }}
__NOEDITSECTION__
+
[[Category:Symbian C++]][[Category:S60 3rd Edition FP2]][[Category:Known Issue]][[Category:Base/System]][[Category:Deployment/Installation]]
{{KBKI}}
+
{{Abstract|Hardware/UI platform dependency in a *.pkg file doesn't have any affect on the SIS installation file.}}
{{KnowledgeBase
+
{{ArticleMetaData <!-- v1.2 -->
|id=KIS001315
+
|sourcecode= <!-- Link to example source code (e.g. [[Media:The Code Example ZIP.zip]]) -->
 +
|installfile= <!-- Link to installation file (e.g. [[Media:The Installation File.sis]]) -->
 +
|devices= Nokia N85 (sw version 11.047), Nokia N79 (sw version 11.049)
 +
|sdk= <!-- SDK(s) built and tested against (e.g. [http://linktosdkdownload/ Nokia Qt SDK 1.1]) -->
 
|platform= S60 3rd Edition FP2
 
|platform= S60 3rd Edition FP2
|devices= Nokia N85 (sw version 11.047), Nokia N79 (sw version 11.049)
+
|devicecompatability= <!-- Compatible devices (e.g.: All* (must have GPS) ) -->
|category=Symbian C++
+
|dependencies= <!-- Any other/external dependencies e.g.: Google Maps Api v1.0 -->
|subcategory= Base/System, Installation
+
|signing= <!-- Empty or one of Self-Signed, DevCert, Manufacturer -->
|creationdate=February 25, 2009
+
|capabilities= <!-- Capabilities required by the article/code example (e.g. Location, NetworkServices. -->
 
|keywords= 0x20002D86, 0x2000DA64
 
|keywords= 0x20002D86, 0x2000DA64
 +
|language= <!-- Language category code for non-English topics - e.g. Lang-Chinese -->
 +
|translated-by= <!-- [[User:XXXX]] -->
 +
|translated-from-title= <!-- Title only -->
 +
|translated-from-id= <!-- Id of translated revision -->
 +
|review-by= <!-- After re-review: [[User:username]] -->
 +
|review-timestamp= <!-- After re-review: YYYYMMDD -->
 +
|update-by= <!-- After significant update: [[User:username]]-->
 +
|update-timestamp= <!-- After significant update: YYYYMMDD -->
 +
|creationdate= 20090225
 +
|author= [[User:Technical writer 1]]
 +
<!-- The following are not in current metadata -->
 +
|id= KIS001315
 
}}
 
}}
 
+
 
+
==Overview==
+
 
+
Hardware/UI platform dependency in a *.pkg file doesn't have any affect on the SIS installation file.
+
 
+
 
== Description ==
 
== Description ==
  
Line 25: Line 35:
 
== How to reproduce ==
 
== How to reproduce ==
  
Replace the hardware/UI platform dependency line in the *.pkg file with the following lines instead of the generic [0x101F7961], 0, 0, 0, {"Series60ProductID"}
+
Replace the hardware/UI platform dependency line in the *.pkg file with the following lines instead of the generic {{Icode|[0x101F7961], 0, 0, 0, {"Series60ProductID"} }}
  
 
<code>
 
<code>
Line 39: Line 49:
 
This problem is expected to be fixed in future software release.
 
This problem is expected to be fixed in future software release.
  
As a workaround, the MachineUid variable can be used in .pkg files instead of a product-specific dependency.  
+
As a workaround, the {{Icode|MachineUid}} variable can be used in .pkg files instead of a product-specific dependency.  
  
 
For example:
 
For example:
Line 52: Line 62:
 
</code>
 
</code>
  
[[Category:Symbian C++]][[Category:S60 3rd Edition, Feature Pack 2 ]][[Category:Known Issue]][[Category:Base/System ]]
+
 
 +
<!-- Translation --> [[zh-hans:Archived:Nokia N79和Nokia N85无法识别pkg中指定的硬件/UI平台相关性]]

Latest revision as of 09:47, 7 September 2012

Archived.pngArchived: This article is archived because it is not considered relevant for third-party developers creating commercial solutions today. If you think this article is still relevant, let us know by adding the template {{ReviewForRemovalFromArchive|user=~~~~|write your reason here}}.

Hardware/UI platform dependency in a *.pkg file doesn't have any affect on the SIS installation file.

Article Metadata
Tested with
Devices(s): Nokia N85 (sw version 11.047), Nokia N79 (sw version 11.049)
Compatibility
Platform(s): S60 3rd Edition FP2
S60 3rd Edition FP2
Article
Keywords: 0x20002D86, 0x2000DA64
Created: User:Technical writer 1 (25 Feb 2009)
Last edited: hamishwillee (07 Sep 2012)

[edit] Description

ProductUID is a UID that identifies a specific phone or, more usually, a UI platform. The product UIDs of Nokia N85 and N79 are 0x20002D86 and 0x2000DA64, respectively, and both of them are missing the stub SIS files for their assigned product IDs. This makes it impossible to use a product-specific dependency in a SIS file.

Note that the product UID is in square brackets to distinguish a hardware dependency from a component dependency.

[edit] How to reproduce

Replace the hardware/UI platform dependency line in the *.pkg file with the following lines instead of the generic [0x101F7961], 0, 0, 0, {"Series60ProductID"}

 ;Supports Nokia N85 and N79
[0x20002D86], 0, 0, 0, {"Series60ProductID"}
[0x2000DA64], 0, 0, 0, {"Series60ProductID"}

Trying to install such a SIS package to the Nokia N85 and Nokia N79 returns the warning message: "Application not compatible - Install anyway?".

[edit] Solution

This problem is expected to be fixed in future software release.

As a workaround, the MachineUid variable can be used in .pkg files instead of a product-specific dependency.

For example:

 IF (MachineUID=0x20002D86) OR (MachineUID=0x2000DA64)
 ; If the device is Nokia N85 or N79, then install files in this block.
"\epoc32\release\armv5\urel\myapp.exe" -"!:\sys\bin\myapp.exe"
ELSE
 ; Otherwise popup a warning.
"compatibility_warning.txt"-"", FT, TC
ENDIF
This page was last modified on 7 September 2012, at 09:47.
46 page views in the last 30 days.
×